Kerbal Space Program - Bug #23961

Thermal/Air Graphics affects are affecting all parts when they shouldn't
10/18/2019 09:43 PM - Anth12

Status: Closed Start date: 10/19/2019
Severity: Low % Done: 100%
Assignee: Technicalfool

Category: Camera

Target version: 1.9.0

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.7.3 + MH + BG
KSP 1.8 + MH + BG

As Per the screenshots

First one is 1.7.3
Second is 1.8.

1.7.3 shows that the top part of the craft is protected by the bottom on entering the atmosphere which is correct
1.8 shows all the parts high and low are being affected which shouldnt be happening

When its the air speed effects...same problem

Credit goes to Mrdspeed and Mazlem for showing this issue

Related issues:
Related to Kerbal Space Program - Bug #24449: Overexuberant friction heating ... Closed 11/30/2019

History

#1 - 10/27/2019 09:57 PM - vrampal

Looks like the following issues are all related:
https://bugs.kerbalspaceprogram.com/issues/23924
https://bugs.kerbalspaceprogram.com/issues/23961

https://bugs.kerbalspaceprogram.com/issues/23966
https://bugs.kerbalspaceprogram.com/issues/23997

Fairing, heat-shield or any other part does not deflect the re-entry air flow.

#2 - 12/13/2019 04:04 PM - Technicalfool
- Related to Bug #24449: Overexuberant friction heating effect on Inflatable Heat Shield added

#3 - 12/13/2019 04:05 PM - Technicalfool
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 02/12/2020 11:40 PM - Technicalfool

- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

- Version changed from 1.8.0 to 1.9.0

#5 - 02/12/2020 11:41 PM - Technicalfool
- File screenshot705.png added
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.9.0
- % Done changed from 30 to 80
- Version changed from 1.9.0 to 1.8.0

#6 - 02/12/2020 11:42 PM - Technicalfool

- Assignee set to Technicalfool

#7 - 02/13/2020 01:10 AM - Anth12

- File screenshot15.png added

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Resolved

#8 - 02/21/2020 02:01 AM - chris.fulton

- Status changed from Resolved to Closed
